import { jsx } from "react/jsx-runtime";
import { TokenUFT as TokenUFT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenUFT = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "UFT", "data-name": "TokenUFT", ...props, children: /* @__PURE__ */ jsx(TokenUFT$1, { variant }) });
  }
);
TokenUFT.displayName = "TokenUFT";
Object.assign(TokenUFT, { isGdsIcon: true });
export {
  TokenUFT
};
